%define version    5.11
%define release    20180418.4
%define rhel_version 6

# define python macros for RHEL6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           redhat-certification-hardware
Summary:        Red Hat Hardware Test Suite
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPLv2+
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Conflicts: rhr-core, rhr-auto, rhr-interact, rhr-crush
Obsoletes: hwcert-client
Requires: redhat-certification-backend >= %{version}
Requires: lmbench, dt, httpd, nfs-utils, stress, gcc
Requires: dbus-python, kernel-devel, kernel-headers, sos
Requires: rfkill
Requires: iw, NetworkManager
Requires: lsscsi, pciutils
BuildRequires: python2-devel


%description
Red Hat Hardware Test Suite certifies hardware for Red Hat Enterprise Linux

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20180418.4 make

%install
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20180418.4 make install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post

%files
%defattr(-,root,root)
%{?python2_sitelib}/rhcert/suites/hwcert/tests
%{?python2_sitelib}/rhcert/suites/hwcert/hwcert
%{?python2_sitelib}/rhcert/suites/hwcert/__init__.py*

%changelog
* Wed Apr 18 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Revert CERTPX-2194: Support RHV by fixing fv_storage test""

* Tue Apr 17 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2656: missing lspci command (pciutils package) causing traceback - Install pciutils as dependency for redhat-certification-hardware   as it is required for planning storage tests
- CERTPX-2194: Support RHV by fixing fv_storage test - Add support for modified hwcertData.img - Add 'lsscsi' package as dependency for installing in the guest VM

* Mon Apr 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Remove the wrongly added arch64 specific attributes for rhel6

* Mon Apr 16 2018 Ben Rose <brose@redhat.com>
- CERTPX-2549 - use opapmaquery for omnipath rdma node query subtest
- CERTPX-2549 - address false positive of smpquery subtest for rdma
- CERTPX-2549 - rdma - parse ibstatus results attributes whether or not address files are found corresponding to modules

* Mon Apr 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2194: Support RHV by fixing fv_storage test - Add a new VirtualIO storage test to run only on   a virtual block device or a passthrough device assignment - Download the config file for guest XML while planning   any fv test to provide opportunity to partner to edit it   before running the test - Remove unused code for picking up hypervisor

* Thu Apr 05 2018 Ben Rose <brose@redhat.com>
- CERTPX-2634 - update redhat-certification-hardware package to require -backend >= its version

* Wed Apr 04 2018 Greg Nichols <gnichols@redhat.com>
- CERTPX-659 rhcert sources reorganization - rhcert.model for xml docs

* Wed Mar 28 2018 Ben Rose <brose@redhat.com>
- rev to 5.11

* Thu Mar 15 2018 Ben Rose <brose@redhat.com>
- CERTPX-2496 - add another way to detect ip address for rdma connection tests

* Tue Mar 13 2018 Ben Rose <brose@redhat.com>
- CERTPX-2425 - add ip addr printout to kdump on nfs output for more efficient verifications
- CERTPX-2496 - add another way to detect correct net device using config scripts for rdma cards

* Fri Mar 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.10

* Tue Mar 06 2018 Aniket Khisti <akhisti@redhat.com>
- CERTPX-2481: RPMDIFF spec file license failure - Changed License from GPL to GPLv2+

* Tue Feb 20 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Update release version to 5.9

* Fri Feb 16 2018 Ben Rose <brose@redhat.com>
- CERTPX-2466 - fix for double planning tests

* Fri Feb 16 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it
- change plan method of generic storage test to check devices planned
  as well

* Thu Feb 15 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation
- Added condition to check for controllers that contain both "SATA" and "SAS"

* Wed Feb 14 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2469: Traceback with 1GEthernet test - Pass Host class object to LocalTestServer class in network test

* Tue Feb 13 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it
  CERTPX-2161: Split out SATA test (select SATA & block device)
  CERTPX-2162: Split out SAS test (select SAS & block device)
  CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation 
- Make 'lsscsi' a dependency for redhat-certification-hardware.el6
- Add .gitreview file to el6 codeline

* Tue Feb 13 2018 root <root@bkr-hv03-guest43.dsal.lab.eng.bos.redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it CERTPX-2161: Split out SATA test (select SATA & block device) CERTPX-2162: Split out SAS test (select SAS & block device) CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation - Move test tagging to actual test subclasses to not tag the generic storage test with Tags.storage

* Mon Feb 12 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1731: Refactor storage test for ease of subclassing it
- CERTPX-2161: Split out SATA test (select SATA & block device)
- CERTPX-2162: Split out SAS test (select SAS & block device)
- CERTPX-2289: detect/force SATA vs SAS in controllers performing both for storage test isolation
- patch for el6 package

* Mon Jan 29 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- Updating rev to 5.8 for el6

* Tue Jan 23 2018 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-2160: Change storage test to select based off controller and block device, not just block device
- Display controller name for each disk in the user prompt on command line and WUI
  to select disk for running the storage test for rhel6

* Tue Jan 09 2018 Ben Rose <brose@redhat.com>
- rev to 5.7
- update changelog

* Tue Dec 05 2017 Ben Rose <brose@redhat.com>
- CERTPX-2238 - use /rhcert-transfer alias in addition to old /store alias for pulling fv files from LTS
- rev to 5.6

* Fri Dec 01 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- Before panic dump kdump.conf to a file
- After panic read the file and reset the kdump.conf

* Thu Nov 30 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Add C-state for RHEL6
- Revert CERTPX-1973: Add C-state to cpuscaling test in RHEL6 and 7 - Add C-state for RHEL6""

* Mon Nov 27 2017 Ben Rose <brose@redhat.com>
- CERTPX-1890 - add dropdown and reported speed check for usb3 test

* Sat Nov 25 2017 Ben Rose <brose@redhat.com>
- CERTPX-1852 - remove misleading warning messages for rdma tests

* Wed Nov 15 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1964: Port redhat-certification respin versioning logic to hwcert.

* Tue Nov 14 2017 Rajasi Kulkarni <rajkulka@redhat.com>
- Updating rev to 5.5

* Fri Oct 27 2017 Ben Rose <brose@redhat.com>
- rev to 5.4

* Mon Oct 23 2017 Ben Rose <brose@redhat.com>
- updating changelog

* Wed Oct 04 2017 Ben Rose <brose@redhat.com>
- CERTPX-1951 - remove opa-fm from required rpm list for all rdma tests save omnipath

* Tue Oct 03 2017 Ben Rose <brose@redhat.com>
- rev to 5.3
- CERTPX-1832 implement separate sosreport test for hardware on el6.

* Tue Sep 26 2017 jkinsman <jkinsman@redhat.com>
- Add develop-1.6 to list of branches that should not conform to the feature branch naming conventions.

* Tue Sep 26 2017 Ben Rose <brose@redhat.com>
- update changelog

* Fri Sep 22 2017 Ben Rose <brose@redhat.com>
- CERTPX-1830 unsuccessful rcopy no longer causes failure in subsequent rcopy tests in test run

* Thu Sep 21 2017 Ben Rose <brose@redhat.com>
- CERTPX-1915 - fix error in rdma test that kills Daemon

* Wed Sep 20 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1898: Refactor release string versioning logic to properly version redhat-certification-hardware packages.

* Mon Sep 18 2017 Ben Rose <brose@redhat.com>
- CERTPX-1467 - add pause for smpquery results to come back on LTS and be written out to file
- CERTPX-1467 - enhance output log info and make rcopy test more robust

* Sun Sep 17 2017 Ben Rose <brose@redhat.com>
- CERTPX-1893 allow failure of ping test without bombing out
- CERTPX-1893 - moved rdma connection tests from -preview to -hardware package

* Fri Sep 15 2017 Ben Rose <brose@redhat.com>
- CERTPX-1828 - only pair net devices to the correct port for rdma connection tests

* Thu Sep 14 2017 Ben Rose <brose@redhat.com>
- CERTPX-1564 - give 2 second pause in rpingTest to allow it to finish writing to file in LTS

* Tue Sep 12 2017 Ben Rose <brose@redhat.com>
- CERTPX-1699 - remove fencing tests from codebase
- CERTPX-1828 correct service test for el6
- add rdmaConnection tests to el6 preview package
- rev to 5.2

* Fri Jul 21 2017 jkinsman <jkinsman@redhat.com>
- CERTPX-1599: Begin adding support to automate Brew build submission for redhat-certification-hardware.

* Wed Jul 12 2017 Ben Rose <brose@redhat.com>
- rev version to 4.12

* Fri Jul 07 2017 Ben Rose <brose@redhat.com>

* Mon Jul 03 2017 Ben Rose <brose@redhat.com>
- setting Makefile backfor now
- rev to 4.11
- CERTPX-1380: Port redhat-certification-hardware Jenkins integration to develop-1.6 branch Initial commit; adds new CI directory.
- CERTPX-1452: (Part Three) Remove CI code from redhat-certification-hardware code line.

* Tue Jun 13 2017 Ben Rose <brose@redhat.com>
- Revert saving work""
- saving work

* Tue Jun 06 2017 Ben Rose <brose@redhat.com>
- rev to 4.10
- CERTPX-558 - add device udi to output log for easier identification in review

* Mon May 08 2017 Ben Rose <brose@redhat.com>
  Update changelog

* Sat May 06 2017 Ben Rose <brose@redhat.com>
  CERTPX-1311 - lazy load from directory on fv image rather than data fv every time

* Fri May 05 2017 Ben Rose <brose@redhat.com>
  CERTPX-1371 route stdout to dev/null for disc writing functions

* Thu Apr 27 2017 Ben Rose <brose@redhat.com>
  CERTPX-1311 - remove rhcert and hwcert packages prior to installation in fv guest script

* Wed Apr 19 2017 Ben Rose <brose@redhat.com>
  CERTPX-430 - add 8 and 16 to thread count list for 100GigEthernet test
  CERTPX-1289 - typo correction for lid test
  rev version to 4.8

* Wed Mar 29 2017 Ben Rose <brose@redhat.com>
  CERTPX-245 - bring prompts in line with el7 counterparts for optical tests

* Tue Mar 28 2017 Ben Rose <brose@redhat.com>
  CERTPX-1108 fix file name variables in download section of fv test

* Wed Mar 22 2017 Ben Rose <brose@redhat.com>
  rev to 4.7
  CERTPX-1108 - update fvtest to work with new backwards compatible hwcertData img file
  CERTPX-1108 update fv tests to run rhcert 4.5 without having to update the main image

* Fri Feb 24 2017 Ben Rose <brose@redhat.com>
  CERTPX-1043 add -m to bw_tcp command in 10 and 1GigEthernet tests
  rev version to 4.5
  CERTPX-1043 add -m flag back to bw_tcp command for 20GigEthernet test

* Sat Jan 28 2017 Ben Rose <brose@redhat.com>
  CERTPX-427 - use device ip in ping instead of device name

* Tue Jan 17 2017 Ben Rose <brose@redhat.com>
  CERTPX-679 fix bug in network tests

* Mon Jan 16 2017 Ben Rose <brose@redhat.com>
  CERTPX-586 - add log output for lsusb -t for usb tests
  CERTPX-535 - add message size flag to bw_tcp call for 25GigEthernet test only

* Thu Jan 12 2017 Ben Rose <brose@redhat.com>
  CERTPX-535 - add back 2 and 4 to list of thread counts

* Tue Jan 10 2017 Ben Rose <brose@redhat.com>
  CERTPX-535 - update tcp threads for 25GigEthernet test

* Mon Jan 09 2017 Ben Rose <brose@redhat.com>
  CERTPX-644 - update version to 4.4

* Fri Jan 06 2017 Ben Rose <brose@redhat.com>
  CERTPX-612 remove message size flag from bw_tcp call

* Wed Dec 07 2016 Ben Rose <brose@redhat.com>
  CERTPX-561 - update version to 4.3

* Tue Dec 06 2016 Ben Rose <brose@redhat.com>
  CERTPX-543 - add generic Ethernet test back to -preview

* Mon Nov 21 2016 Ben Rose <brose@redhat.com>
  CERTPX-137 memory test error: chmod of memory.py

* Wed Nov 16 2016 Ben Rose <brose@redhat.com>
  remove -information package and stop building

* Tue Nov 15 2016 Ben Rose <brose@redhat.com>
  CERTPX-400 use different thread counts for 100GigEthernet

* Mon Nov 14 2016 Ben Rose <brose@redhat.com>
  CERTPX-470 - fix audio test to plan internal as well as hdmi device tests

* Fri Nov 11 2016 Ben Rose <brose@redhat.com>
  CERTPX-452 fixed issue where tests wouldn't plan on el6 due to obfuscated issue w/ importing

* Mon Nov 07 2016 Ben Rose <brose@redhat.com>
  rev version to 4.2

* Sun Oct 30 2016 Ben Rose <brose@redhat.com>
  CERTPX-327 remove bluetooth test from el6

* Wed Oct 19 2016 Ben Rose <brose@redhat.com>
  CERTPX-389 update %requires for redhat-certification-backend to 4.1

* Mon Oct 17 2016 Ben Rose <brose@redhat.com>
  CERTPX-131 - remove confusing fingerprint test related exception from planning log
  CERTPX-366 - rev version to 4.1
  CERTPX-279 - update changelog

* Tue Oct 11 2016 Ben Rose <brose@redhat.com>
  CERTPX-190 Hardware/info test - kernel version combine results values

* Mon Sep 26 2016 Ben Rose <brose@redhat.com>
  CERTPX-140 - fix httpTransferTest on 32bit os with >= 10Gbit connections
  CERTPX-279 - update changelog

* Fri Sep 23 2016 Ben Rose <brose@redhat.com>
  CERTPX-223 properly escape regex
  CERTPX-276 - add fingerprint reader to __init__.py in el6

* Tue Sep 20 2016 Ben Rose <brose@redhat.com>
  CERTPX-121 - Update instructions in lid test
  CERTPX-208 - only run server side bluetooth agent if bluetooth is supported on server

* Thu Sep 15 2016 Ben Rose <brose@redhat.com>
  CERTPX-238 If HWP cpuflag is present then ignore results of minimum test within cpuscaling test

* Wed Sep 14 2016 Ben Rose <brose@redhat.com>
  CERTPX-223 - match on lvm with one or more spaces separating kmin and device name
  CERTPX-248 - rev version to 4.0

* Fri Sep 09 2016 Ben Rose <brose@redhat.com>
  CERTPX-200 fix issue with el6 and dependency on rhc-backend >= 2.9

* Fri Sep 02 2016 Ben Rose <brose@redhat.com>
  CERTPX-183 - add bluetooth test to -preview package

* Thu Sep 01 2016 Ben Rose <brose@redhat.com>
  CERTPX-200 update %requires rhc to 2.9
  CERTPX-191 - rev version to 1.X.9

* Wed Aug 31 2016 Ben Rose <brose@redhat.com>
  update changelog
  CERTPX-188 - remove call to CheckRHCertPackages in info test because rhcert calls it now in selfcheck

* Fri Aug 26 2016 Ben Rose <brose@redhat.com>
  Merge remote-tracking branch 'origin/develop-1.6' into hwcert-1.6
  CERTPX-169 - remove inneffective ifnarch s390x and usbutils from spec.in file

* Sat Aug 20 2016 Ben Rose <brose@redhat.com>
  CERTPX-142 - modify git2changelog.py to run for correct branch and update changelog
  CERTPX-142 - add tools directory with git2changelog.py

* Fri Aug 19 2016 Ben Rose <brose@redhat.com>
  CERTPX-139 The latest hwcert testsuite 20160725 doesn't log udev devices for the info test.

* Thu Aug 04 2016 Ben Rose <brose@redhat.com>
  CERTPX-96 check wifi devices from rfkill list all until one found that can be run with iw <device> info
  rev version to 1.6.8

* Fri Jul 29 2016 Ben Rose <brose@redhat.com>
  1361664 remove preview prefix from 50 and 100 GigE tests

* Thu Jul 21 2016 Ben Rose <brose@redhat.com>
  1358975 - Utilize rhcert code in info test

* Wed Jul 20 2016 Ben Rose <brose@redhat.com>
  1358480 - update print statements for info test

* Tue Jul 19 2016 Ben Rose <brose@redhat.com>
  1304879 - fix test so it doesn't blow up in planning when reader not plugged in

* Mon Jul 18 2016 Ben Rose <brose@redhat.com>
  Revert Revert "remove network directory from preview make file"""
  Revert Revert "1341399 - Move 100GigE and 50GigE to standard -hardware package"""
  rev'ing version to 1.6.7
  update changelog

* Mon Jun 27 2016 Ben Rose <brose@redhat.com>
  1348333 - cast to int in freq comparison methods

* Tue Jun 21 2016 Ben Rose <brose@redhat.com>
  1348705 - update unsupported hardware detection

* Mon Jun 20 2016 Ben Rose <brose@redhat.com>
  1348333 - update acceptable window for cpuscaling

* Tue May 31 2016 Ben Rose <brose@redhat.com>
  1341399 - Move 100GigE and 50GigE to standard -hardware package and out of tech preview

* Thu Apr 14 2016 Ben Rose <brose@redhat.com>
  1327344 - moved 20GigEthernet test to regular test package
  1327361 - moved 25GigEthernet test to regular test package
  1327340 - temporarily removed fingerprint reader, as an import error was disrupting importing the modules hwcert and hwcertpreview on el6

* Tue Mar 15 2016 Ben Rose <brose@redhat.com>
  1317912 - created tech preview package and moved fv_networking out of -hardware and into it
  1317925 - moved fv_storage out of -hardware and into -preview
  1317931 - refactored ethernetTest into hwcert directory to support imports from -preview

* Fri Mar 11 2016 Ben Rose <brose@redhat.com>
  1304765 - add generic ethernet test to tech preview
  1304768 - add 100GigEthernet to tech preview
  1304764 - add 50GigEthernet to tech preview
  1304763 - add 25GigEthernet to tech preview
  1304762 - refactor ethernetTest into hwcert/ethernet.py and create 20GigEthernet in preview

* Fri Mar 04 2016 Ben Rose <brose@redhat.com>
  1304759 - create new preview package and move fv_network into it
  1305088 - move fv_storage into the preview package
  1314907 - re-enable fv_network in preview package

* Wed Feb 24 2016 Ben Rose <brose@redhat.com>
  1304756 - modify 802.11 interface detection to be more reliable

* Wed Dec 16 2015 Ben Rose <brose@redhat.com>
  1292189 - allow detection of virtual drives so swap can be detected on fv storage

* Thu Aug 20 2015 Ben Rose <brose@redhat.com>
  1257995 - Wireless test traceback when checking supported types

* Thu Aug 20 2015 Ben Rose <brose@redhat.com>
  1255158 - Improve error message for disconnected hdmi device

* Wed Aug 19 2015 Ben Rose <brose@redhat.com>
  1254659 - fixing audio test to display appropriate logical device name
  1253661 - rhcert-backend should not require a device name in all cases
  1254653 - Corrected the way realtime systems are detected

* Tue Aug 18 2015 Ben Rose <brose@redhat.com>
  1254759 - change to the correct usage of the inhereted prompt function, specifying the answers as answers in the call

* Tue Aug 18 2015 Ben Rose <brose@redhat.com>
  1254759 - change to the correct usage of the inhereted prompt function, specifying the answers as answers in the call

* Thu Aug 13 2015 Ben Rose <brose@redhat.com>
  1254313 - Fixed an issue with DVD test running via cli
  1254311 - Fixed bluray test and gave 20 more seconds for processes to be done with the drive before attempting to write to the drive

* Thu Aug 13 2015 Ben Rose <brose@redhat.com>
  1253133 - fix mkfs error and merge legitimate missing changes from el7 branch

* Wed Aug 12 2015 Ben Rose <brose@redhat.com>
  1252895 - RHEL6 video test fails: Error: x11 perf did not run

* Mon Aug 10 2015 Ben Rose <brose@redhat.com>
  1250450 - fixed an issue specific to 6.7 parsing status of kdump service and modified mechanism for selecting crash core file for verification in kdump test

* Thu Jul 30 2015 Ben Rose <brose@redhat.com>
  1248091 - fix audio test to use device udi passed in because test python objects are evidently reused
  1248818 - add package requirement for xfsprogs to storage test
  1244762 - include display flag in xdpyinfo call to ensure display is set

* Wed Jul 29 2015 Ben Rose <brose@redhat.com>
  1248180 - fix broken profiler test in el6 branch

* Mon Jun 08 2015 Ben Rose <brose@redhat.com>
  BZ1053888 include display flag in xdpyinfo call to ensure display is set for the command

* Mon Jun 08 2015 Ben Rose <brose@redhat.com>
  1227927 - remove virt-install from dependencies for fvtest as it is now included in libvirt-python

* Mon May 11 2015 Ben Rose <brose@redhat.com>
  1214906 - rpm-build is required by redhat-certification-hardware, but results are not built into an rpm any more
  1214867 - allow manual tests with specified device to work with storage test
  1217607 - prefer complete product name matches to partial left to right matches for kernel checks in info test

* Fri Apr 07 2015 Ben Rose <brose@redhat.com>

  1204951 - run operf instead of opcontrol for aarch64 in profiler test

* Fri Feb 27 2015 Ben Rose <brose@redhat.com>

  1197205 - hardware tests run with debug regardless of settings

* Thu Feb 26 2015 Ben Rose <brose@redhat.com>

  1196820 - traceback on manual test planning
  Fix realtime test to be twelve hours despite value in /etc/rteval.conf

* Tue Feb 24 2015 Ben Rose <brose@redhat.com>

  1195734 - fv_network test fails http transfer test - can not find IP address seen by server
  1195830 - lid test lacks instructions when run in the web UI
  1195965 - suspend test is disabled

* Thu Feb 19 2015 Ben Rose <brose@redhat.com>

  1193981 - kdump nfs test fails on attempt to restart kdump.

* Tue Feb 17 2015 Ben Rose     <brose@redhat.com>

  1193594 - kdump test traceback - no Name attribute

* Mon Feb 16 2015 Ben Rose     <brose@redhat.com>

  Removed run-time package requirement to have ibm-prtm for IBM systems for realtime tests
  Only check realtime MRG product when kernel is realtime when RHEL < 7
  Fixed UnboundLocalError when starting server; modified networkTest.py 
  1193223 - FEAT: re-introduce kdump test

* Sun Feb 15 2015 Greg Nichols <gnichols@redhat.com>

  1192823 - fv_network test does not find tests labeled "network" on guest run
  - removed server warnings about selinux

* Thu Feb 05 2015 Ben Rose <brose@redhat.com>

  - add back fv_core, fv_memory, fv_storage, and fv_network tests

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>

  - remove fv_core, fv_memory, fv_storage, fv_network, and kdump tests

* Tue Dec 09 2014 Greg Nichols <gnichols@redhat.com>

  - change fv tests to check local server URL /store/transfer/fv-images
  - fv tests now expect rhcert-backend command line on guests to run tests

* Thu Nov 06 2014 Greg Nichols <gnichols@redhat.com>

  1152260 - hwcert-client-info needs updated kernel info for RHEL 6.6
  1156204 - RHEL 6.6: hwcert server fails status check during network test

* Tue Nov 04 2014 Greg Nichols <gnichols@redhat.com>

redhat-certitication-hardware 1.7.0.6:

  package name changed from hwcert-client to redhat-hardware-certification

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>

  changed to require redhat-certification rather than rhcert-client
  1144584 - virtualization tests don't start

* Fri Sep 12 2014 Greg Nichols <gnichols@redhat.com>

  Fix audio traceback re: outputDirectory

* Thu May 29 2014 Greg Nichols <gnichols@redhat.com>

  New version 1.7.0.1 based on rhcert-client 0.1.

* Tue Apr 15 2014 Greg Nichols <gnichols@redhat.com>

  1087891 - Bandwidth Failure marked as Pass

* Sun Apr 13 2014 Greg Nichols <gnichols@redhat.com>

  1082080 - RHEL7 CPUScaling Userspace Governor Failure

* Tue Apr 08 2014 Greg Nichols <gnichols@redhat.com>

  1084111 - client version string incorrect
  1084219 - certify returns "Test plan is not frozen"

* Wed Apr 02 2014 Greg Nichols <gnichols@redhat.com>

  1083702 - cpuscaling unknown command: run

* Tue Apr 01 2014 Greg Nichols <gnichols@redhat.com>

  1041999 - ppc64 traceback after core test

* Mon Mar 31 2014 Greg Nichols <gnichols@redhat.com>


  1050982 - hwcert-client-1.7.0-62.1 storage tests still use ext3 filesystems for benchmark performance

* Fri Mar 28 2014 Greg Nichols <gnichols@redhat.com>

  1072209 - In CPUSCLAING test "Single CPU Power Save Test" section, all cpus will be load test
  1081662 - hwcert traceback on searching for open certifications
  1039116 - hwcert web server submit traceback if cert ID is not set for an existing certification

* Tue Mar 25 2014 Greg Nichols <gnichols@redhat.com>

  1080571 - results can not be saved if the first run contains INCOMPLETE tests
  1080458 - Application Error: 32000 searching for certification via hwcert-client "hwcert"

* Fri Mar 21 2014 Greg Nichols <gnichols@redhat.com>

  1074524 - hwcert-backend plan ignores --server on first run 
  1049798 - FEAT: hwcert test suite could handle hardware spec and certification entries with the catalog
  1077951 - info test: "Environment instance has no attribute Environment instance has no attribute" messages
  1075762 - hwcert-client 1.7.0 on RHEL7 Guest Traceback

* Mon Mar 17 2014 Greg Nichols <gnichols@redhat.com>

  1075768 - optical disk tests: multiple prompts to initiate test seems redundant
  1075763 - "continue" prompt inconsistent

* Fri Mar 14 2014 Greg Nichols <gnichols@redhat.com>

  1075782 - packaging past results leaves existing results
  1049798 - FEAT: hwcert test suite could handle hardware spec and certification entries with the catalog 

* Thu Mar 13 2014 Greg Nichols <gnichols@redhat.com>

   955806 - Add an optional biosdevname test to the test suite
  1073516 - HWCert: Add .gitignore file in v7.git
  1063613 - Core clocktest : Warning: could not determine clocksource
   924616 - expresscard: PCI-e and USB test might both get tested when one device plugged in

* Fri Mar 07 2014 Greg Nichols <gnichols@redhat.com>

  1038234 - FEAT: add pci passthrough testing to FV testing

* Thu Mar 06 2014 Greg Nichols <gnichols@redhat.com>

  1073517 - FEAT: Add a new 40Gig Ethernet test
  1069994 - EXPRESSCARD test is a dead loop 
   918743 - Please add more NIC related info into hardware.log
  1073541 - FEAT: Add a new 802.11ac Wireless Test

* Fri Feb 28 2014 Greg Nichols <gnichols@redhat.com>

  1069754 - FEAT: hwcert-server should provide a push to email link

* Thu Feb 20 2014 Greg Nichols <gnichols@redhat.com>

  1065571 - hwcert-client can not detect CPU type and cpuscaling test fails

* Wed Feb 12 2014 Greg Nichols <gnichols@redhat.com>

  1062115 - rhel7 hwcert: Error: Kernel is 3.10.0-78 and not Red Hat Enterprise Linux Server 7.0 GA (3.7.0-) 
  1064077 - tests pass when skipped (disc - cd-rom, dvd, and bd)

* Mon Feb 10 2014 Greg Nichols <gnichols@redhat.com>

  1062750 - Cert kit should include xterm as a dependency
  1057159 - cpuscaling fails: max frequency measured is lower than indicated by cpupower.
  1062744 - traceback on run -t fv_core

* Fri Feb 07 2014 Greg Nichols <gnichols@redhat.com>

  1061198 - kdump test on s390x won't reboot
  1061860 - cpuscaling test should not be planned on s390x
  1060266 - fv_* tests look in the wrong directory for images on the partners' server

* Wed Feb 05 2014 Greg Nichols <gnichols@redhat.com>

  1061440 - RHEL7 Host Network Test Fails TCP Bandwidth

* Tue Jan 28 2014 Greg Nichols <gnichols@redhat.com>

  1058443 - fv_* tests: seabios is no longer required
  1057807 - Traceback on cpuscaling test on AMD boxes

* Fri Jan 24 2014 Greg Nichols <gnichols@redhat.com>

  1057395 - hwcert cpuscaling test traceback, hwcert-backend unknown command
  1057370 - cpuscaling traceback on plan
  1057395 - hwcert cpuscaling test tb

* Thu Jan 23 2014 Greg Nichols <gnichols@redhat.com>

  916356 - FEAT: Retire the pccard test
  1057159 - cpuscaling fails: max frequency measured is lower than indicated by cpupower.

* Wed Jan 22 2014 Greg Nichols <gnichols@redhat.com>

  1056256 - scaling_available_frequencies file no longer available in RHEL7
  1043526 - Fv_Storage test failed with the testing progress time out: destroying the guest

* Tue Jan 21 2014 Greg Nichols <gnichols@redhat.com>

  1056159 - hwcert-server filtering of saved results by date doesn't work.
  1056269 - cpuscaling test hang waiting for work processes

* Mon Jan 20 2014 Greg Nichols <gnichols@redhat.com>

  1052762 - hwcert-backend certify doesn't run expected tests
  1054347 - hwcert stuck in loop checking catalog for outstanding tests
  1054386 - video test traceback when no display is connected

* Wed Jan 15 2014 Greg Nichols <gnichols@redhat.com>

  1053794 - xml parser errors reading output logs
  1052321 - traceback on empty results.xml file
  965335 - video: no xorg-x11-apps package in RHEL7 needed for x11perf

* Mon Jan 13 2014 Greg Nichols <gnichols@redhat.com>

  1033304 - network tests should use python "==" operator instead of "is"

* Wed Jan 08 2014 Greg Nichols <gnichols@redhat.com>

  1050008 - "v7 submit" fails when "vendor" string contains a tabulator character
  1037987 - Change the name of the "product-url" field in hwcert

* Thu Dec 19 2013 Greg Nichols <gnichols@redhat.com>

  1043975 - hwcert-client tries to install kabi-whitelists for the info tests, but RHEL 7.0 renamed the package
  1040098 - missing wget dependency
  1031840 - downloading of kernel info from the Partner's site should be removed.
  1031761 - network test logs include confusing version number
  1022754 - unable to initialize libusb on ppc64
  1019848 - plan prompt for test server is confusing

* Tue Dec 10 2013 Greg Nichols <gnichols@redhat.com>

  1038354 - hwcert-client no longer logging "Test Parameters"
  1038345 - FV tests incorrectly state that some required packages are not installed.
  1038887 - hwcert-backend: Dead loop occurs when trying to install require rpms if enable debug mode

* Tue Dec 03 2013 Greg Nichols <gnichols@redhat.com>

  1034808 - RHEL7 FV tests should use updated KVM guest image containing a RHEL 6.5 guest
  1032941 - hwcert-backend Error: could not determine selinux parameters

* Wed Nov 20 2013 Greg Nichols <gnichols@redhat.com>

  1024499 - FEAT: Test tags should be added for new specifically-named tests
  1032718 - hwcert-backend save ignores --mode auto

* Tue Nov 19 2013 Greg Nichols <gnichols@redhat.com>

  .1
    1031929 - The default target of v7/tests/Makefile should do necessary compilation work rather than cleaning the files when executing make
    1025459 - hwcert-server error downloading attached python files.
    1024514 - hwcert-backend won't skip debug warning prompt in --mode auto
    1023108 - core test shows make warning for target "clean"

  1032277 - hwcert-client should use date as a release number


* Thu Nov 07 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0-64

  1028199 - profiler test is disabled

hwcert-client 1.7.0-63

  1025455 - kdump nfs fails due to use of depricated link_delay in kdump.conf
  1022752 - traceback after core test
  1018299 - RHEL7 does not include python-virtinst required by FV tests
  1027436 - automated hwcert runs get stuck on interactive question in save step
  1023203 - save command return value is non-zero on success

* Tue Oct 15 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0-62

  1019523 - hwcert-client-info should be split off as a separate package (not a subpackage of hwcert-client)

* Thu Oct 10 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R61

  1011727 - hwcert-client package should require usbutils for /usr/bin/lsusb
   969013 - [1.7] Audio test hangs - no "killall" installed.
   913292 - v7 fails to find Make and Vendor on Calxeda Highbank systems 
   906787 - v7 cannot handle yum errors

* Wed Oct 09 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R60

  1015697 - hwcert command should ask for login/password on login failure from catalog.
  1013866 - USB3 doesn't retry
  1009753 - fv_* test provides incorrect error messages when image download fails
  1013862 - hwcert-backend submit traceback on submit 
  1013870 - help output includes a "push" command
  1004985 - Hwcert Traceback when selecting n to submitting to test server

* Mon Sep 30 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R59

  1013865 - hwcert-backend submit tracebacks


* Fri Sep 27 2013 Greg Nichols <gnichols@redhat.com>
hwcert-client 1.7.0 R58

 1013047 - hwcert command does not offer the option to save results to the local test server

hwcert-client 1.7.0 R58

  1012967 - hwcert-backend save error saving from files stored on local hwcert-server
  1012943 - hwcert server start/status has lmbench and httpd errors

* Wed Sep 25 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R57

  1012195 - RHEL6.5 storage test failure: "could not find storage devices for host host0"
  1011638 - error saving to test server: global name 'serverPath' is not defined

hwcert-client 1.7.0 R56

  1012070 - FEAT: expresscard test should use dmidecode data to plan expresscard test
  1012067 - FEAT: hwcert-server should provide a push result to another server button

* Tue Sep 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R55

  1002768 - FEAT: hwcert-client should indicate why it hasn't defaulted a plan item that is present

* Mon Sep 23 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R54

  1006608 - FEAT: add a new USB3 and USB2 tests

* Fri Sep 20 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R53

  963289 - [FEAT] USB test need to list usb version related info for tested port
  1010403 - fv_* test provides incorrect error messages when image download fails
  984033 - with empty input, hwcert will crash.
  984742 - Hwcert Traceback when selecting n to submitting to test server

* Thu Sep 19 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R52

  1010011 - FEAT: add a new type-specific tests for N and G
  1009471 - wlan test expects the interface to have the name "wlan"

* Tue Sep 17 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R51

  1009077 - FEAT: add a new speed-specific network tests

* Fri Sep 13 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R50

  1016711 - FEAT: hwcert-server should display and allow for download of ~/store results attachements

* Fri Sep 06 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R48

  1002766 - FEAT: hwcert command should prompt the user about pushing stored results
  
* Wed Jul 10 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R42

  979126 - hwcert-client requires PyXML which has been dropped

* Tue Jul 09 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R41

  980612 - storage test ignores choice of disk to test

* Mon Jun 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R40

  976872 - realtime test name is inconsistent
  976881 - info test fails GA kernel validation for RHELX.0

* Fri Jun 07 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R39

  963288 - [1.7] Don't use /mnt for fv_* guest image inspection

* Fri May 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R38

  965691 - [1.7] kdump reboot time limit message is wrong
  958465 - FEAT: hwcert-client man page needs to be updated to reflect current commands and their use
  918748 - V7 memory test fails on systems with 4TB

* Tue May 21 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R37

  964226 - v7 reports error "lid must be open for this test" when test LID.
  964214 - [1.7] "could not find udev device for battery and AC Adapter“ when run "battery" test.

* Tue Apr 30 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R36

  958222 - Certification Kdump test fails b/c taking longer than 10 minutes to boot
  956727 - extraneous debug output should be removed if --debug is off.
  956279 - hwcert-client 1.7 should require RHEL7

* Mon Apr 22 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R34

  953316 - adding reboot test causes traceback
  951686 - need %obsoletes v7
  918222 - clocktest jitter test don't allow for large cpu count.

* Wed Apr 10 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R33

  918221 - FEAT: fv_* should print guest console log if --debug set
  918290 - FEAT: update rteval and hwlatdetect in v7 to use rteval2

* Mon Apr 08 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R32

  948969 - [1.7] hwcert test server status gives a 500 error page
  846468 - BW_TCP utility yields inconsistent results.
  918226 - [FEAT]v7's network should reflect the max real transfer rate/performance
  918291 - [1.7] expresscard: give correct PASS/FAIL results on exit
  918743 - Please add more NIC related info into hardware.log
  928202 - [1.7] Audio test should specifies device when play and record sample sound

* Wed Apr 03 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R31

  948646 - [1.7] v7 storage test should allow testing of all devices for each host bus adapter

hwcert-client 1.7.0 R30

  947959 - [1.7] INFO: traceback when check rpm package

* Mon Apr 01 2013 Greg Nichols <gnichols@redhat.com>

  947125 - hwcert-client's kernelInfo.xml file should be packaged separately to support updates

* Tue Mar 26 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R24

  921247 - FEAT: address prompting quirks from 'hwcert' command refactoring

* Fri Mar 15 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R17

  921244 - Rename v7 to hwcert-backend

* Thu Mar 14 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R16

  913219 - Server status appears twice
  919505 - FEAT: deprecate results rpm building code

* Mon Mar 11 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R15

  910406 - [1.7] v7 tracebacks when <partner-server> is empty or missing from /etc/v7.xml
  920726 - hwcert-client 1.7.0 R27 fv_* tests fails when quests' rc.local call old v7 script

* Fri Mar 08 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.7.0 R14

  * name change from v7 to hwcert-client

* Wed Feb 27 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R13

  Bug 916025 - kdump: UUID string cannot be parsed

* Tue Feb 26 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R12

  909285 - Server status has wrong version/release information
  913292 - v7 fails to find Make and Vendor on Calxeda Highbank systems
  915512 - v7 save traceback on host unreachable

* Thu Feb 21 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R11

  908426 - xinit: unable to connect to X server: Connection refused

* Wed Feb 20 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R10

  912986 - fencing: Fake "Error: system rebooted 2 times" message

* Tue Feb 19 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R9

  911928 - infiniband fails to get UDI

V7 1.7.0 R8

  907770 - fvtest: required rpms are not added at plan-time.

* Thu Feb 14 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R7

  910951 - kdump via nfs fails: net parameter is no longer supported in /etc/kdump.conf
  910849 - kdump does not parse date separators in vmcore image directories

* Wed Feb 13 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R6
  907796 - kdump: use kdumpctl instead of service to start/stop kdump

* Thu Feb 07 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R5

  907770 - fvtest: qemu: could not load PC BIOS 'bios.bin
  907816 - v7 server should use systemctl to start/stop services
  907812 - wlan: add wireless-tools to required RPMs list
  907810 - reboot test fail
  907785 - optical disk tests: require util-linux package instead of eject
  906441 - info test fails due to lack of kernel release info for RHEL7

* Wed Jan 30 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R3

  904134 - [RHEL7] storage test can not restore swap
  872485 - [PATCH] v7-1.6.4 tests code clean-ups
  904938 - fvtest: global name 'isHvm' is not defined


* Fri Jan 25 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R2

 903975 - [RHEL7] suspend test fail due to not checking log message
 903962 - hardwaretest.py: create default udev device instead of hal device
 903965 - remove hal imports
 903968 - planner.py: completely remove HAL
 903959 - optical disk tests: completely remove HAL

* Thu Jan 24 2013 Greg Nichols <gnichols@redhat.com>

V7 1.7.0 R1

  903224 - network test uses ifconfig not in RHEL7
  872486 - [RHEL7] ImportError: cannot import name dbus_bindings

* Wed Jan 23 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R22

  903329 - v7 default catalog URL should be https://hardware.redhat.com/xmlrpc.cgi for GA

* Wed Jan 16 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R21

  895891 - usb: fix return value
  895714 - traceback on v7 submit if results are packaged to rpm

* Tue Jan 15 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R20

  894943 - The xml should be updated to include RHEL5.9 GA kernel
  895432 - storage test not planned on special devices (e.g. cciss)
  895407 - v7-1.6 is missing dmi decode output in info's hardware info

* Mon Jan 14 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R19

  895154 - v7-1.6 is missing cpu hardware data in CORE, CPUSCALING, INFO, and PROFILER tests
  895157 - v7-1.6 missing memory data data in MEMORY test

* Fri Jan 11 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R18

  888688 - infiniband: should show udi or pci id information
  894217 - expresscard: call trace Regression occur by the usb fix

* Thu Jan 10 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R17

  888655 - usb: V7 didn't hang the test when user tried to plug different device into the tested port
  890942 - storage test not planned on s390x

* Thu Dec 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R15

  887742 - catalog can't parse rpm package generated by V7-1.6.4
  866534 - v7 man page has errors

* Wed Dec 12 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R14

  880079 - FEAT: audio: check the codec of audio devices
  880916 - "iwlist" command will run twice in WLAN test
  880986 - Video test: Can't find driver info in "/var/log/Xorg.0.log" on 64bits platform

* Tue Nov 13 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R13

  876290 - Error: unknown device source kudzu on v7 submit

V7 1.6.4 R12

* Mon Nov 12 2012 Greg Nichols <gnichols@redhat.com>

  875637 - "make build" has output on stderr

V7 1.6.4 R11

  870226 - "v7 run --test=storage" will ask which disks to test before testing begins

* Sun Nov 11 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R10


  874715 - fv_ tests fail to mount data image after guest run
  843605 - expresscard test should not use HAL
  843604 - battery test should not use HAL
  843610 - pccard test should not use HAL

* Wed Nov 07 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R9

  843616 - wlan test should not use HAL
  873612 - remove HAL import from memory test

* Thu Nov 01 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R8

   871515 - profiler test check for virtualization depends on HAL
   872359 - Hardware device information is missing from test results

* Tue Oct 30 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R7

  843194 - Support v7 call home to compare test plans using the certify command
  855063 - battery test log units are incorrect
  870002 - The name org.freedesktop.UDisks was not provided by any .service files
  871254 - pccard: Traceback if no PC Card plugged into the slot

* Fri Oct 19 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R6

  866917 - video test should not use HAL
  828625 - Unicode decode error in /var/log/messages
  847922 - kdump test: change device path to UUID

* Tue Oct 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R4

  755008 - v7 storage test should allow testing of all devices for each host bus adapter
  858734 - storage test should use udev
  827369 - v7/kdump still report PASS if reboot took more than limited time
  828712 - v7 save should prompt XXX.xml.gz saved instead of XXX.xml


* Mon Aug 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R2

  843607 - audio test should not use HAL
  843609 - network test should not use HAL
  822246 - clocktest use of CPUSET_S not completely correct.
  843615 - usb test should not use HAL
  843608 - lid test should not use HAL
  843600 - storage test should not use HAL

* Thu Aug 23 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R1

  843606 - infiniband test should not use HAL
  843613 - tape test should not use HAL
  843611 - suspend test should not use HAL

* Thu Aug 02 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R0

  843565 - v7 test planning should not use a generic device dictionary

* Fri Jun 01 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R32

  827641 - The hardware catalog URL should be hardware.redhat.com

* Thu May 31 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R31

  827177 - duplicate v7 call home submit command will create duplicate results without matching md5sums
  826679 - Unable to manual add Reboot test in new v7-1.5-28 test kit

* Tue May 29 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R30

  825247 - storage test may schedule tests for multiple disks on the same controller

V7 1.5 R29

  822690 - v7 fails to generate results package (rpm) if vendor field is not set.
  824306 - Fail to open a new cert if 'Make' and/or 'Model' fields empty
  817154 - Kernel- Check OS kernel build fails with MRG-RT kernel
  823461 - DUP check in info test is wrong
  824851 - fv_storage test traceback if --server not set

* Mon May 21 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R28

  817154 - Kernel- Check OS kernel build fails with MRG-RT kernel
  732922 - Traceback when cpuscaling is run on XEN
  784419 - FEAT: v7 should not error on DUP graylist symbols


* Thu May 17 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R26

  822359 - catalog url for partner site should be https rather than http

* Wed May 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R25

  818184 - input check is needed for hardware 'category' field
  707144 - Regression with BLURAY test in v7 version 1.3-43-el6

* Mon May 14 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R23

  820972 - v7 kdump test should restart kdump service every time
  817258 - submit results to catalog with filename missing ".gz"
  782195 - FEAT: v7 certify should only run rtevel and hwlatdetect (and info) on the RT kernel
  818331 - Reboot test should not be automatically scheduled

* Wed Apr 25 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R22

  816219 - fv storage and network tests may fail for multiple devices on guest

* Fri Apr 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R21

  813405 - v7 should not prompt for certification id when hardware catalog is unreachable
  809026 - v7 trivial formatting fix
  811565 - v7 traceback on RHEL 7 Alpha1
  812437 - getModuleFile may return 'null'
  811247 - kabi-whitelists structure changing makes kabi check fail
  810497 - v7 info - make: *** No rule to make target `kernelInfo.xml'
  809240 - v7 plan --model should use the same prompts as v7 plan for certification data

* Tue Apr 17 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R20

  813090 - v7 plan fails when the Hardware Catalog Server is not reachable from the SUT

* Mon Apr 16 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R19

  810809 - v7 tests result cannot be judged from its exit status

* Wed Apr 04 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R18

  809942 - Traceback on continue

* Tue Apr 03 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R17

  809537 - info test kernel validation should allow more flexibility to support beta testing.
  809520 - v7 1.5 R14 traceback on server start

* Mon Apr 02 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R14

  807714 - v7 1.5 R12 requires udisks package not in RHEL5
  807552 - v7 info: Environment instance has no attribute 'getCertificationName'
  713368 - failed to get httptest.file if ipv6 available on both sides
  649675 - RHEL5 doesn't install xen packages as dependencies by default
  611409 - Test Suite should collect the information about the current used video controller
  608568 - FEAT: can v7 detect non Red Hat shipped xorg drivers ?
  488745 - Add suggested IB specific commands to network test

* Tue Mar 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R12

  805757 - info test missing requires for sos (sosreport)
  781243 - v7 info fails to capture modules tainted for multiple signs

* Fri Mar 23 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R11

  782189 - FEAT: v7 should be able to upload a result directly to a hwcert.
  804492 - V7 should not pass the debug kernel in info when used for hardware tests.


* Fri Mar 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R9

  767059 - info: kmod rpm verify command is not running
  687990 - FV_CORE INFO test fails because sosreport expects user response
  799897 - v7 server starts/stops returns 1
  752753 - v7 server status reporting /var/v7/export is exported in v7-1.4
  748753 - Unicode decode error in /var/log/messages
  747990 - interactive tests run in --mode auto should fail -- code clean up part
  750721 - audio: Warning: could not log sound card information
  755473 - v7-server traceback: No such file or directory: u'/var/v7/results.xml

* Fri Mar 09 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R8

  782191 - FEAT: v7 should be able to open a new certification request
  799921 - v7 1.5 R7 may trace-back on older /etc/v7.xml environment file.

* Fri Feb 03 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R7

  782229 - FEAT: v7 certify should support component mode
  746029 - FEAT: v7 should log reboot and fv guest time limit changes made to /etc/v7.xml
  702168 - RedHat v7-1.3-35 Hardware Test Suite: v7 server requires fence-agents rpm
  532557 - test suite should alarm operator and fail test runs on non GA kernel
  799118 - FEAT: v7 should preserve SUT hardware information when results are removed
  798321 - v7 plan UnboundLocalError: local variable 'controllers' referenced before assignment

* Fri Jan 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R1

  782197 - FEAT: v7 should support dbus udisks in place of hal/kudzu/hardware.py for storage test

* Fri Jan 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R0

  755787 - RFE: rebase CD/DVD/Blu-ray tests
  754919 - bluray: not choosing the most capable media type as default
  707144 - Regression with BLURAY test in v7 version 1.3-43-el6
  705999 - v7 --help doesn't give information about "v7 save"


* Thu Nov 03 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R38

  747736 - v7 test 'profiler' terminates with backtrace
  746918 - cpuscaling failure on v7-1-4-30 cpus don't settle to minimum frequency for On Demand test.

* Tue Nov 01 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R37

  734476 - RHEL6.1 32bit/64bit V7 cert info test fail - tech preview
  743609 - CPU Scaling is failing with AMD Interlagos - user space load times aren't repeatable

* Wed Oct 26 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R36

  748062 - v7 1.4 R34 cpuscaling selects wrong measurement method
  749068 - v7-1.4 is missing the kudzu devices data in hardware.log on RHEL6

* Wed Oct 19 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R34

  747433 - Fix typo in v7 syntax output
  747379 - v7 1.4 R32 network test traceback when server validation fails.
  559834 - fv_* is not listed in v7 plan on rhel54-server-ia64-xen system

* Mon Oct 17 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R32

  745212 - Traceback on blank Model Name in dmidecode
  740002 - HWCERT: info test always fails due to kernel modified which is due to applied be2net patch
  733618 - v7 network kdump test passed without setting remote server
  730932 - v7 1.4 server with v7 1.3 SUT fails network test

* Tue Oct 04 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R31

  734985 - info: TypeError: coercing to Unicode: need string or buffer, NoneType found
  741165 - cpuscaling TraceBack: TypeError: int argument required
  741943 - v7 fails with AttributeError: CPUScalingTest instance has no attribute predictedSpeedup
  731611 - udp test is missing in network.py

* Wed Sep 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R30

  732113 - cpuscaling rewrite

* Tue Sep 20 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R25

  739967 - Storage test execution time on 1.4-23 is abnormally long

* Fri Sep 16 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R23

  737859 - bluray incur traceback: BluRayTest instance has no attribute 'mediaNames'
  736638 - v7 storage test won't work on 4K sector storage device
  736666 - v7 storage test has an improper write/read sequence
  736675 - v7 storage test sets an improper I/O records
  736679 - v7 storage test: improper dt options for raw I/O test

* Wed Aug 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R22

  737651 - Traceback in v7 cpuscaling test (TypeError: float argument required, not str)

* Mon Aug 22 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R18

  731322 - network test gives 404 when trying fetching files from servers
  732463 - v7 save command saves empty results
  633652 - [RFE]: v7 bluray test fail on BD-R disk


* Thu Aug 18 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R17

  731332 - reboot says: "global name 'mode' is not defined"
  731337 - kdump says: "not all arguments converted during string formatting"
  726512 - v7 installs old version of decimal module for the cpuscaling test
  730918 - v7 server daemon fails on startup - can not create task file

* Mon Jul 25 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R16

  725441 - FEAT: save command should store results on server for review

* Thu Jul 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R14

  521609 - v7 plan --server says server has error: /var/v7/export
  711155 - v7: sh: kudzu: command not found
  717779 - Reboot nfs test does not reliably grab an ip address causing the test to fail
  711161 - v7 usb test Error: test raised exception on zero-length/non-integer prompt response
  702140 - Unable to determine pass/fail state of logs after packaging with v7 submit
  573598 - Test Suite should give a caution when user disable INFO test.

* Tue Jul 12 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R10

  701491 - kdump test should improve dependant rpm installation and logging
  705844 - interactive tests run in --mode auto should fail

* Thu Jul 07 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R9

  718290 - Can the kdump variation of the reboot test be moved to be the kdump test?
  716557 - Change v7_rteval.py maximum latency from 100us to 150us.
  708046 - info.py backtraces in checkModuleVenderAndBuildHost with "'v7CommandException' is not defined"
  714848 - Preview kernel taint should be error but not warning
  710173 - Remove test verification prompt if no errors found
  684075 - the hardware <make/> tag in results.xml is never set.
  705326 - fv_network is tagged as interactive, v7 --mode auto will result in fv failures
  704031 - Include additional LVM debugging info in storage test

* Wed Jun 15 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R8

  690676 - FEAT: v7 should generate zipped xml file as results
  702695 - v7 server should have it's own package

* Wed Jun 08 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R0

  - initial build.

* Mon May 16 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R46

702491 - V7 1.2.x and 1.3.x fail to add expresscard tests to plan

* Fri May 13 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R44

  704404 - v7 1.3.43 result missing v7 version information

* Tue May 03 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R43

 701621 - suspend test failed on RHEL6

* Mon May 02 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R41

 676239 - v7 Coverage for loading Tech Preview device drivers in RHEL6.1

V7 1.3 R40

 690797 - Some test parameters should be moved to v7's configuration file

* Thu Apr 28 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R39

 641157 - Fencing test gives result of AUTO when run, instead of PASS or FAIL

V7 1.3 R38

  679011 - fencing test fail on v7-1.3-10

* Mon Apr 25 2011 Greg Nichols <gnichols@redhat,com>

V7 1.3 R37

  698984 - v7 sets /var/v7/store as world-writeable

* Thu Apr 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R35

  698463 - network test is killed on s390x

* Tue Apr 19 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R34

  697863 - multiple reboot tests are not run correctly

V7 1.3 R33

  697846 - info test logs missing when reboot test is run

* Mon Apr 18 2011 Greg Nichols <gnichols@redhat.com>
V7 1.3 R32

 696873 - The info test of v7-1.3.19beta is always incomplete and without a exit code.

V7 1.3 R31

 626970 - FEAT: kdump test needs to verify kdump
 697017 - video test uses xdpyinfo and should require xorg-x11-utils
 649520 - fv_* tests are not being planned on 32-bit RHEL5.5
 693429 - v7: clocktest only works up to 1024p
 649314 - v7 returns 1 on successful run

* Thu Apr 14 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R28

  660214 - reboot test run results in unparsable info test logs
  635973 - reboot test should set vmcore size before testing kdump
  618358 - v7 server - fencing test requires fence-agents rpm
  681737 - core test reports PASS even though there is an error.

* Wed Apr 06 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R27

 593982 - FEAT: v7 should provide multiple results rpms when results.xml gets too large

* Thu Mar 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R26

 677752 - FEAT: network test ICMP/ping test improvements
 593982 - FEAT: test suite to remind users before the results.xml file becomes too large
 618358 - v7 server - fencing test requires fence-agents rpm


* Tue Mar 29 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R24

 690799 - FV tests should run v7 with --mode auto on guest

* Fri Mar 25 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R23

  690338 - v7 certify --mode auto prompts user
  637687 - Please show the NIC's info in detail
  690797 - Some test parameters should be moved to v7's configuration file

* Wed Mar 23 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R20

  689494 - Traceback on RHEL5: configfile.py
  690215 - floppy test is no longer required for certification
  690218 - v7 should re-raise test exceptions when --debug is set
  690198 - cpuscaling test can fail a package, and still pass the system

* Thu Mar 17 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R19
  688748 - network test fails in http transfer - v7 server directory permissions problem

* Fri Mar 11 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R18
  678949 - oprofiled did not start on Nehalem-EX platform
  682115 - RHEL 6.1 fv tests fail on spurious stderr output

V7 1.3 R17
  626970 - FEAT: kdump test needs to verify kdump
  682969 - v7 certify test have no return value
  676239 - v7 Coverage for loading Tech Preview device drivers in RHEL6.1

* Thu Mar 10 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R16
  579498 - RH cert suite cpuscaling test fails Nehalem-EX procs
  680225 - network test should use HTTP for file transfer tests rather than NFS


* Tue Mar 08 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R15

  682672 - reboot testing abort on RHEL6.1
  681470 - v7 submit fail on ppc64
  678984 - can't find tape device on RHEL6.1
  678974 - pccard testing fail on v7-1.3-10
  678642 - Error output is missing line breaks
  678180 - cpuscaling verify traceback when unable to find cpufreq directories
  674375 - v7 certify misses tests where one of serveral devices has passed

* Mon Jan 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R10

  589739 - CPUSCALING test includes unprocessed tags around displayed text

* Thu Jan 27 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R7

  627043 - HWCert: RedHat v7-1.2-16 network test on sit0 interface fails
  623787 - core test - stress portion should scale for memory size
  607976 - sosreport: error: no such option: --no-progressbar

* Thu Jan 20 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R6

  670989 - test fails with a traceback when saving test log
  589806 - 1.1-23 man page says it's version 1.0-21
  617646 - print --report full does not show guest logs/results for fv_* tests
  640138 - CPUSCALING fails with traceback on non-repeatable performance test loads
  516910 - FEAT: v7 needs a wlan-specific test
  668041 - v7 virtualization tests should log image meta-data
  589425 - Please return the minor RHEL version back in info output
  654960 - info test reports a pass even though kernel validation fails.

* Fri Jan 14 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R4

  646277 - core test reports PASS when clock jitter test fails

* Wed Jan 05 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R3

   659789 - Enhance command set for better usability and control of testing

* Tue Dec 21 2010 Greg Nichols <gnichols@redhat.com>

V7 1.3 R1

   649729 - RHEL5 fv_tests may fail on initial run due to kvm modules not installed
   642029 - USB SCSI tape drives cause: UnicodeEncodeError

* Mon Sep 13 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R25

  629363 - FV_Network test fails on RHEL6

* Thu Sep 09 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R24

  631921 - memory cert (threaded_memtest) fails to compile on RHEL5

* Thu Sep 02 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R23

  629082 - threaded_memtest hangs on very large systems.

V7 1.2 R22

  629344 - Reboot test always returns INCOMPLETE result
  629340 - Running v7 as a non-root user generates a crash and ABRT warning

* Wed Aug 25 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R21

  607981 - v7 manpage missing options

* Mon Aug 23 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R20

  626020 - storage test traceback on device size calculation
  626524 - reboot test counts time waiting at prompt in reboot time

* Fri Aug 20 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R18

  621070 - storage test fails using lvm swap partition on RHEL6
  625184 - memory test (threaded_memtest.c) incorrectly determines processor count on RHEL6
  608556 - tape tests failed

* Wed Aug 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R17

  624141 - cpuscaling test fails if available frequencies are listed lowest to highest
  621364 - Memory test failed on RH6 certification
  620672 - test suite should check for SELinux status
  619252 - CPUSCALING test to show the current CPU frequency before calculating PI
  616949 - FV_Network, FV_Memory, FV_Storage, and FV_Core need to remove from x86 test kits
  512153 - [RHEL5.3 GA] Hardware Certification Test failed with 'Error: kernel is tainted (value = 64)'
  574639 - INFO test should show the DUP usages
  570714 - v7 hardware certification test fails in dm_log_clustered module
  487184 - info test module validation should pass wireless modules from Red Hat Supplimental packages

* Thu Aug 12 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R16

  581463 - memory test hangs on larger scale systems
  608535 - rhel6 audio test failed - sound-sample.wav: No such file or directory
  621041 - core test failed on s390x RHEL6 - sched_setaffinity: Invalid argument
  619712 - V7 plan traceback in cpuscaling for s390x RHEL6 and ppc64 RHEL6

* Tue Aug 03 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R15

  606963 - Storage test fail on RH6 certification
  621056 - v7 failed after reboot test
  621614 - systems with no cpuscaling show errors about cpufreq directories
  621348 - core test calls "tree" for ppc64, which is not in required rpms.
  620918 - Reboot test fails, causes kernel panic with timeout set to zero.
  586941 - v7 on RHEL6 requires rpms not in RHEL6: system-config-display

* Fri Jul 30 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R14

  619773 - reboot test fails - Continuation instance has no attribute 'systemLogBootMarker'

* Thu Jul 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R13

  616969 - core test trackback, RHEL6 x390s
  616943 - info test fails - can not fine whitelist file on RHEL6 snap 7 x86_64
  605247 - Include qemu-kvm as dependency in RHEL6
  605277 - Storage test fails on RHEL6 due to incorrect lvs path
  588702 - v7 incorrectly uses 'processor.can_throttle' to plan CPUSCALING tests
  599746 - v7 RHEL6 profiler test fails: /etc/modprobe.conf not found

* Fri Jul 16 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R11

  568467 - FEAT: v7 needs a cpu clocks test

* Mon Jul 12 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R10

  512153 Hardware Certification Test failed with 'Error: kernel is tainted (value = 64)'

V7 1.2 R9

  599725 - attempts to contact libvirtd during "v7 plan" cause spurious error messages
  586568 - v7 submit fails with error
  584121 - RHEL6 network test mount command fails in NFS testing
  612278 - v7 NETWORK tests defaults to NFS/UDP and OS defaults to NFSv4 which is unsupported combination

* Thu Jun 10 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R6

  599741 - fv_ tests fail when libvirt is installed, but libvirtd is not started

* Tue Jun 01 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R4

  598544 - Control-C interrupt of v7 often results in broken results.xml
  599108 - FEAT: v7 should provide a way to continue a test run
  568526 - FEAT: add a reboot test

* Wed May 26 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R3

  591357 - RHEL6 info test: no --no-progressbar option for sosreport

* Tue May 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R2
  576497 - fv_* is not listed in v7 print on rhel55-server-x86_64-xen system

* Tue Apr 27 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R1

  584079 - RHEL6 v7 R23 does not parse uname -r output for kernel name
  582090 - v7 has a dependency on rhpl, but it's not in required list.

* Mon Mar 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R23

  573837 - 'v7 plan' causes python traceback on RHEL6
  573696 -  fix traceback when tape test reports "device not found"

* Mon Mar 15 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R22

  573670 - v7 prompts for incorrect package name at plan time install
  573757 - v7 plans FV tests for RHEL4 on ia64
  573745 - hardware.out in info test doesn't include the required platform data

* Sat Mar 13 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R20

  573102 - INFO test passing when v7 has been modified
  573144 - sos reports are increasing the size of info
       test, results.xml and results.rpm" info.py

* Thu Mar 11 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R18

  572660 - V7 will double plan floppy, cdrom and storage on RHEL4.8
  572606 - storage test traceback on RHEL4/s390
  572265 - v7 adds 2nd usb and expresscard test if a keyfob is installed
  572346 - FV guest created config file provides invalid default bridge device
  453628 - hts plan editing - various warning/notice messages not given
  633652 - [RFE]: v7 bluray test fail on BD-R disk

* Wed Mar 10 2010 Greg Nichols <gnichols@redhat.com>
V7 1.1 R17

567378 - Memory test of v7.1.1-7 test kits fail on RH5 Update 4 x86
572265 - v7 adds 2nd usb and expresscard test if a keyfob is installed

* Tue Mar 09 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R15

571610 - v7-1.1-13 reports no network test in rhel4

* Mon Mar 08 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R14

 568468 - v7 finds no RT kernel ABI Whitelist
 571599 - info test traceback on info test v7 rpm verification
 568226 - USB test failed on RHEL48 with v7 R9.
 570637 - kvm test needs RHEL-release-specific packages
 570917 - FV KVM tests causes selinux errors

* Fri Mar 05 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R13

  484512 - Clock jitter test - calculation technique
  526057 - ExpressCard test shows errors on successful test
  555895 - FEAT: results.xml could divide out the various sub tests.
  489578 - Individual cpu core will fail cpuscaling depending upon what
      type of drive is used and whether INFO runs before or after test

* Tue Mar 02 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R11

566778 - 'v7 run' without a specified test results in a python traceback
568458 - v7 fails with a backtrace when HAL daemon is not running
568492 - v7 video test produces a backtrace if system is not running X
568465 - v7 shows that RT kernel was not built by Red Hat!

* Tue Feb 23 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R10

546047 -  The v7 fv_network test result may PASS when the guests' network test is FAIL
555903 -  suspend tests should provide a method/param to disable the fn+ key tests individually

* Thu Feb 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R9

 563762 -  Incorrect rpm package - "kernelxen--devel" is required as run-time dependency.
 565437 -  v7 test suite v1.0 rel. 26 doesn't work with RHEL 5.5 alpha/beta
 555898 -  optical tests fix --mode auto to skip prompts

* Wed Feb 10 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R8

 563562 -  v7 plan --mode auto can infinite loop on required package
          installation attempts
 559834 -  fv_* is not listed in v7 plan on rhel54-server-ia64-xen system
 563289 -  fv-* should not be planned on RT kernels.
 559825 -  Info test fails on kvm system - can not locate ABI whilelist
 563292 -  Info test fails on rt kernel

* Mon Feb 01 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R7

 557674 -  sh: udevadm: command not found error
 560797 -  v7 exception when system has no /proc/usb

V7 1.1 R6

 560635 -  info test fails due to difficulties in parsing /etc/redhat-release

* Fri Jan 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R5

 192245 -  info test should call sosreport instead of sysreport
 555842 -  tests should make use of runtime requires feature
 555898 -  optical tests should provide a method to force/override
           the read-only, write, re-write code path decision

* Wed Jan 27 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R3

 559179 -  Device-specific tests are not planned in RHEL4 via kudzu.

* Tue Jan 26 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R2

  558578 -  memory test traceback: AttributeError: 'int' object has no attribute 'pipe'

* Fri Jan 22 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R1

  557355 -  fv_* is not listed in v7 plan both on AMD RHEL5.4-Server xen / kvm system
  557365 -  `v7 plan` failed with traceback and cause no plan for `v7 print`
  546404 -  Avoid running any tests when invalid test name is used

* Thu Jan 14 2010 Greg Nichols <gnichols@redhat.com>

V7 1.0 R26

   555045 -  v7 R23 traceback on submit command - invalid device data

V7 1.0 R23

  554915 -  FEAT: v7 needs a RTEval test
  523824 -  FEAT: v7 should fv_* tests should support KVM
  488145 -  FEAT: HTS should provide a run-time dependency option for installation
  474856 -  CPUScaling Fails in HTS 5.3-3


* Thu Dec 17 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R21

  525736 -  Feat: CLI to manually provide/override vendor/make/model values in results.xml
  526071 -  v7 man page refers to --last option as "--latest"
  548517 -  v7 plan traceback: no such attribute runForVirtualization
  517311 -  submit command causes a traceback if no tests have run
  536929 -  v7 should augment HAL device detection with other sources
  484657 -  hts uses code deprecated in python 2.6

* Tue Sep 29 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R19

   526310 -  v7 fails TPS Verify test on RHEL4 due to selinux context settings

* Fri Sep 11 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R18

    517966 -  ia64 FV image could not auto boot

V7 1.0 R17

   521964 -  Running v7 FV guest tests with mis-named data image file results in python traceback

V7 1.0 R16

    517215 -  over-limit test-generated files can cause a traceback in
         post-run file attachment code
    514586 -  FV tests fail if xenbr0 not found
    521611 -  /etc/httpd/conf.d/v7.conf should have FollowSymlinks set
    520657 -  v7-15: Error when running "v7 submit" to create a test results rpm package on RHEL4

* Thu Aug 13 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R15

    517524 -  core hardware log shows all system device entries
    483024 -  cpuscaling test fails when no CPU flags are available

* Tue Aug 11 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R14

    515294 -  kudzu output in the hardware.log of v7 on RHEL5.4 is missing the
            processor data and memory data
    516082 -  bluray test fails when manually-planned via the --add command
    516241 -  v7-1.0-7 video test fails for both RHEL5 and RHEL4

* Tue Aug 04 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R9


  515197 -  INFO/CORE/MEMORY tests are not "planned" by default on RHEL4.7 with v7-1.0-8

* Fri Jul 31 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R8

  514959 -  v7 results rpm is missing sysreport tar ball
  514961 -  v7 hardware.out data is hal format instead of kudzu format like hts

* Thu Jun 25 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R7

  512475 -  v7 cli doesn't seem to respond to --device command
  508136 -  Unable to run cdrom HTS test on RHEL4
  466703 -  suspend test fails due to Error: could not verify suspend
  507370 -  v7's results.xml testing database does not contain
  	associated files from info an audio tests.
  506542 -  fv_all, fv_network test traceback
  506169 -  fv_* tests should support multiple image options
  506129 -  bluray test doesn't get planned in RHEL4
  505806 -  ia64 FV image should not need extra human inputs

* Sun Jun 14 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R6

316581 -  Video FAILED xstatus command

* Sat Jun 13 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R4

505477 -  New v7 RPM should depricate hts rpm
505432 -  info test in v7 doesn't populate hardware.out
485837 -  FEAT: hts needs to support a pre-installed FV image
481258 -  hts-5.3-15.el4 show double Note info with plan and run commands
480723 -  HTS should verify all the arguments in command line
460940 -  'hts discover' is using the BIOS manufacturer name for the system manufactuer
480285 -  The interpretation of "Version" is not align with others in hts help page
460979 -  Can HTS log the audio codec info?
445164 -  FEAT: CDROM test should test Blu-ray Discs in rhel5
437866 -  [FEAT] Update storage tests in HTS to to target controllers rather than block devices
478498 -  hts-5.3-12 profiler test shows errors in passing test
476690 -  HTS-5.3-9 Profiler Test Fails
230285 -  FEAT: request for configured kickstart file which includes the min. hts package set


* Thu Jun 04 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R3

    503857 -  traceback on v7 submit command

* Mon Jun 01 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R2

	488582 -  USB test must ask for 'number' of port to be tested, not the number of free ports.
	485705 -  hts-5.3-15.el5.noarch help still shows "discover" under "run" sequence
	482890 -  deletion of test sources causes info test traceback
	483024 -  cpuscaling test fails when no CPU flags are available
	482861 -  HTS needs some console output clean-up
	476517 -  Output of network test must show MAC and hal/pciid details of ethernet interfaces

* Wed Apr 15 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R1

   490995 -  HTS on RHEL4 will not detect all features of DVD/CD BURNER
   484938 -  DVD burning test failed
   479739 -  profiler test is showing up in the testplan for FV
   480397 -  Multiple NICs detected on HVM guests when only one NIC actually present
